Last Comment Bug 751797 - crash printing due to font inflation
: crash printing due to font inflation
Status: RESOLVED FIXED
[readability]
: crash
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86_64 Linux
: -- critical (vote)
: mozilla15
Assigned To: David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch)
:
Mentors:
Depends on:
Blocks: 750202
  Show dependency treegraph
 
Reported: 2012-05-03 19:38 PDT by David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch)
Modified: 2012-05-15 12:57 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
+


Attachments
patch (1.27 KB, patch)
2012-05-03 19:38 PDT, David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch)
roc: review+
mark.finkle: approval‑mozilla‑aurora+
Details | Diff | Splinter Review
patch 2 (1.11 KB, patch)
2012-05-04 07:47 PDT, David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch)
roc: review+
mark.finkle: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch) 2012-05-03 19:38:52 PDT
Created attachment 620934 [details] [diff] [review]
patch

I hit a crash printing in a debug build due to font inflation code.  This crash would also affect builds with font inflation enabled and affect other sorts of pagination (e.g., multicol).  (There's some font inflation code that I intentionally run in debug builds even when font inflation is disabled, so that we see the assertions.)

In any case, this patch fixes it; it's one place I missed maintaining the invariant that this function operates only on first-in-flows.
Comment 1 David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch) 2012-05-03 19:58:15 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/4d81667d36dd
Comment 2 David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch) 2012-05-04 07:47:32 PDT
Created attachment 621050 [details] [diff] [review]
patch 2

Crashed again; turns out I missed another one.  Hopefully this is really the last one, though.
Comment 4 David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch) 2012-05-06 22:33:03 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/33168c4c4703
Comment 6 David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch) 2012-05-14 01:45:06 PDT
Comment on attachment 620934 [details] [diff] [review]
patch

[Approval Request Comment]
Regression caused by (bug #): bug 706193
User impact if declined: crash
Testing completed (on m-c, etc.): on mozilla-central for a bit
Risk to taking this patch (and alternatives if risky): very low
String changes made by this patch: none
Comment 7 David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch) 2012-05-14 01:45:20 PDT
Comment on attachment 621050 [details] [diff] [review]
patch 2

[Approval Request Comment]
Regression caused by (bug #): bug 706193
User impact if declined: crash
Testing completed (on m-c, etc.): on mozilla-central for a bit
Risk to taking this patch (and alternatives if risky): very low
String changes made by this patch: none
Comment 8 David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch) 2012-05-15 12:57:29 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/3421c2085f49
https://hg.mozilla.org/releases/mozilla-aurora/rev/65bf57670069

Note You need to log in before you can comment on or make changes to this bug.